INTERFACE
SUBROUTINE CUCALLNTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & KSTEP, LDLAND,&
 & PTSPHY,&
 & PTM15, PQM15, PUM15, PVM15, PLITOT5,&
 & PVERVEL5, PQHFL5, PAHFS5, PAPHM15,&
 & PAP5, PAPH5, PGEO5, PGEOH5,&
 & PTENT5, PTENQ5, PTENU5, PTENV5, PARPRC5,&
 & KTOPC, KBASEC, KTYPE,&
 & KCBOT, KCTOP, KBOTSC, LDCUM, LDSC,&
 & PLU5, PLUDE5, PMFU5, PMFD5,&
 & PDIFCQ5, PDIFCS5, PFHPCL5, PFHPCN5,&
 & PFPLCL5, PFPLCN5, PSTRCU5, PSTRCV5, PFCQLF5,PFCQIF5,&
 & KTRAC, PCM15, PTENC5, PSCAV5,&
 & PTM1, PQM1, PUM1, PVM1,&
 & PVERVEL, PQHFL, PAHFS,&
 & PAP, PAPH, PGEO, PGEOH,&
 & PTENT, PTENQ, PTENU, PTENV, PARPRC,&
 & PLU, PLUDE, PMFU, PMFD,&
 & PFPLCL, PFPLCN,&
 & PCM1, PTENC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM15(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV5(KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PLITOT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM15(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC5(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PARPRC5(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTOPC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KBASEC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCQ5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFHPCN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCU5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCV5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQLF5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCQIF5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM1(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PARPRC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,KLEV+1)
END SUBROUTINE CUCALLNTL
END INTERFACE
